### Class

# Gtk SelectionFilterModel

#### Description [src]

    final class Gtk.SelectionFilterModel : GObject.Object {
      /* No available fields */
    }

`GtkSelectionFilterModel` is a list model that presents the selection from a `GtkSelectionModel`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_selection_filter_model_new

Creates a new `GtkSelectionFilterModel` that will include the selected items from the underlying selection model.

#### Instance methods

###### gtk_selection_filter_model_get_model

Gets the model currently filtered or `NULL` if none.

###### gtk_selection_filter_model_set_model

Sets the model to be filtered.

#### Properties

###### Gtk.SelectionFilterModel:model

The model being filtered.

#### Class structure

    struct GtkSelectionFilterModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.